##
##  postgresql-walg.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_postgresql_walg_base 3.0.7
%define       V_postgresql_walg_snap 20250413

#   package information
Name:         postgresql-walg
Summary:      PostgreSQL Extension: WAL-G Backup/Restore
URL:          https://github.com/wal-g/wal-g
Vendor:       Katie Li, Daniel Farina
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      Apache
Version:      %{V_postgresql_walg_base}.%{V_postgresql_walg_snap}
Release:      20250413

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/postgresql-walg/postgresql-walg-%{V_postgresql_walg_snap}.tar.xz
Patch0:       postgresql-walg.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  postgresql
PreReq:       postgresql

%description
    WAL-G is an archival restoration tool for PostgreSQL, providing
    fast disaster recovery. WAL-G uses LZ4, LZMA or Brotli compression,
    multiple processors and non-exclusive base backups for PostgreSQL.

%track
    prog postgresql-walg = {
        version   = %{V_postgresql_walg_base}
        url       = https://github.com/wal-g/wal-g/releases
        regex     = v(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -n postgresql-walg
    %patch -p0

%build
    #   build program
    export GOPATH=`pwd`
    cd $GOPATH/src/github.com/wal-g/wal-g
    %{l_make} %{l_mflags} all

%install
    #   create directory hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin

    #   install program
    %{l_shtool} install -c -s -m 755 \
        src/github.com/wal-g/wal-g/main/pg/wal-g \
        $RPM_BUILD_ROOT%{l_prefix}/sbin/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

